Bug 2625 - Add "Truncate Title" option in RSS applet
: Add "Truncate Title" option in RSS applet
Status: RESOLVED WONTFIX
Product: Desktop Widgets
RSS feed reader
: 5.0-beta
: All Maemo
: Low enhancement (vote)
: ---
Assigned To: unassigned
: rss-feed-reader-applet-bugs
:
: community-diablo, patch
:
:
  Show dependency tree
 
Reported: 2007-12-22 03:51 UTC by Neil MacLeod
Modified: 2012-03-24 11:43 UTC (History)
2 users (show)

See Also:


Attachments
OS2007HE Screenshot showing one line per heading/9 articles in view (115.28 KB, image/png)
2008-10-21 00:18 UTC, Neil MacLeod
Details
OS2008 Screenshot showing two lines per heading/3.5 articles in view (444.95 KB, image/png)
2008-10-21 00:22 UTC, Neil MacLeod
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Neil MacLeod (reporter) maemo.org 2007-12-22 03:51:25 UTC
The RSS applet in OS 2008 now wraps titles resulting in only a few items
appearing in the applet. In OS 2005-7, the titles would be truncated so that
more articles could be viewed at a time.

Please add a "Truncate Titles" option to the RSS applet to allow more titles to
be displayed in the applet.

By choosing to wrap the titles, the number of articles visible at any one time
is very much dependent on the length of each title - currently I'm lucky if I
can view 3 articles at any given time which is a pathetic number of articles.
If the titles are quite long, this can mean I see less than 3 articles!
Comment 1 Andre Klapper maemo.org 2008-10-20 16:24:23 UTC
In 4.2008.36-5 it seems that only two lines are available for one entry, so it
IS truncated again. Can you confirm that?
WORKSFORME, so to say, though maybe having only one line would be more
interesting for you...
Comment 2 Neil MacLeod (reporter) maemo.org 2008-10-20 21:18:48 UTC
I should have been clearer, but for this bug I want the RSS applet to truncate
the title at one line - no wrapping at all (and this assumes bug 2627 is also
fixed!)

Lines appear to wrap no more than 2 lines in 4.2008.36-5 which is a slight
improvement, but even with 2 lines per article only a few articles can ever be
seen at once and due to the additional finger-friendly padding in practice less
than half as many articles are shown in 2008 than could be seen in 2007 and
earlier.

Compare this with the old system (OSes 2005 through 2007) where more articles
could to be viewed at a glance in a compact and efficient display (clicking on
an article would expand it too - bug 2626!)

The Diablo RSS applet wastes far too much space in the quest for "finger
friendliness", the net result being the need to constantly scroll through a
long list of articles using a tiny "view port" rendering the entire application
largely impractical.

Finger friendliness 1, User-usefulness 0.
Comment 3 Neil MacLeod (reporter) maemo.org 2008-10-21 00:18:32 UTC
Created an attachment (id=983) [details]
OS2007HE Screenshot showing one line per heading/9 articles in view
Comment 4 Neil MacLeod (reporter) maemo.org 2008-10-21 00:22:37 UTC
Created an attachment (id=984) [details]
OS2008 Screenshot showing two lines per heading/3.5 articles in view

With these two screenshots it should be apparent how significantly less
information is available to the user when the title wraps over two lines and is
padded above and below with white space.

I appreciate the new RSS applet design is more finger friendly but my fingers
are not *that* fat (ie. tablet unfriendly) and reducing the amount of
information from 9 articles to not quite even 4 articles renders the RSS applet
a whole lot less useful. This really is a case of form over function.
Comment 5 Andre Klapper maemo.org 2008-10-21 13:04:08 UTC
I agree, but it's an enhancement (and a regression too, of course, but I guess
there was some reasoning behind this change)...
Comment 6 Neil MacLeod (reporter) maemo.org 2008-10-21 13:13:46 UTC
(In reply to comment #5)
> I agree, but it's an enhancement (and a regression too, of course

I would go with regression, as that is what it is - it can't be both a
regression and an enhancement.

> but I guess
> there was some reasoning behind this change)...

I'll bite my tongue here.

I just hope Nokia can strike a better balance between usability and usefulness
in Freemantle.
Comment 7 Andre Klapper maemo.org 2009-05-25 17:27:53 UTC
There is
http://maemo.org/downloads/product/OS2008/stylus-rss-feed-reader-applet/ which
is a fork and provides the requested functionality.
I've asked for a patch...
Comment 8 Andre Klapper maemo.org 2009-06-11 17:27:46 UTC
Patch at
https://garage.maemo.org/plugins/scmsvn/viewcvs.php/tags/1.5.39-4/debian/patches/10_release4.dpatch?revision=16&root=stylus-rss&view=markup

Note that it does not add an *option* but changes the default behaviour.

Quoting Oskar's answer by private email:
"if, however, you feel that part of the patch above would fill the gap, just
take it and do whatever you want with it."

So if anybody wants to take it and add a kitchen sink: Here you go. ;-)
Comment 9 Andre Klapper maemo.org 2009-06-19 20:03:23 UTC
Still valid in current Fremantle -> updating version info.
Comment 10 Lucas Maneos 2009-10-22 07:56:46 UTC
Marking patches of interest to Diablo (Maemo4) community updates, please excuse
the noise.
Comment 11 Andre Klapper maemo.org 2012-03-24 11:43:24 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )